## uisp 0.1.6

=== src/Makefile ===
# Micro In-System Programmer Makefile
# Uros Platise (c) 1999
#
# Check directories and then
#  - to compile type: make
#  - to install type: make install
#  - to run type: uisp
#
# Switch -fhandle-exceptions is required by the GNU C++ 2.7.2.1 and
# may be removed for higher versions (as egcs 2.9.*)

# Directory Setup
        UISP_BIN = /usr/local/bin

# The following lines declare compile options.

CC	= g++

# If you got old linux you might probably need this line
#CPPFLAGS= -Wall -O2 -fhandle-exceptions -D__BROKEN_LINUX 
#-DSER_BAUDRATE=B38400

# for egcs c++
CPPFLAGS= -Wall -O2

SRC	= Main.C Serial.C sdf.C Avr.C termAvr.C cmdAvr.C \
          AtmelAvr.C AtmelTerm.C AtmelCMD.C PSPI.C PartDB.C

OBJ	= Main.o Serial.o sdf.o Avr.o termAvr.o cmdAvr.o \
          AtmelAvr.o AtmelTerm.o AtmelCMD.o PSPI.o PartDB.o

all:	uisp

uisp:	$(OBJ)
	g++ -o $@ $(OBJ) $(LIBS)

clean:
	rm -f *.o
	rm -f uisp

install: uisp
	cp uisp $(UISP_BIN)

## uisp 20010701

=== src/Makefile ===
# Micro In-System Programmer Makefile
# Uros Platise (c) 1999
#
# Check directories and then
#  - to compile type: make
#  - to install type: make install
#  - to run type: uisp
#
# Now tested with g++ 2.95.2, older versions may not work.

# Directory Setup
        UISP_BIN = /usr/local/bin

# The following lines declare compile options.
# Add switch:
#
#   -DNO_DAPA
#
# to remove "Direct AVR Parallel Access" support completely (should not
# be necessary anymore, see the next option).
#
#   -DNO_DIRECT_IO
#
# to remove direct I/O port access for non-PC machines where it doesn't work
# (parallel port support should still work with the Linux ppdev driver).

CXX = g++
CPPFLAGS = -Wall -O3 -g # -DNO_DIRECT_IO # -DNO_DAPA

SRC	= Main.C Terminal.C MotIntl.C Avr.C AvrAtmel.C AvrDummy.C \
	  Serial.C DAPA.C

OBJ	= Main.o Terminal.o MotIntl.o Avr.o AvrAtmel.o AvrDummy.o \
	  Serial.o DAPA.o
	  
all:	uisp

uisp:	$(OBJ)
	$(CXX) -o $@ $(OBJ) $(LIBS)

clean:
	rm -f *.o *~
	rm -f uisp

install: uisp
	cp uisp $(UISP_BIN)

## uisp 20030618

=== pavr/Makefile ===
MCU = -mmcu=at90s2313
CC = avr-gcc
CFLAGS = $(MCU) -Wall -W -Wstrict-prototypes # --save-temps -v
#CFLAGS += -O3
#CFLAGS += -O2
CFLAGS += -Os
CFLAGS += -mtiny-stack -mcall-prologues
#CFLAGS += -mno-tablejump
CFLAGS += -mrtl
CFLAGS += -g
LD = avr-gcc
LDFLAGS = $(MCU) -Wl,-M
PRG = uisp -dprog=stk200 -dlpt=/dev/parport0 -v=3

OBJS = pavr.o

OUT = pavr.elf
SREC = pavr.srec
MAP = pavr.map
LST = pavr.lst

all: $(SREC) $(LST)

$(SREC): $(OUT)
	avr-objcopy --output-target=srec $(OUT) $(SREC)

$(LST): $(OUT)
	avr-objdump -S -h -D $(OUT) > $(LST)

flash-dump:
	$(PRG) --download of=rom.dump

flash-erase:
	$(PRG) --erase

flash-write: $(SREC)
	$(PRG) --upload --verify if=$(SREC)

flash: $(SREC)
	$(PRG) --erase --upload --verify if=$(SREC)

$(OUT): $(OBJS)
	$(LD) $(OBJS) -o $(OUT) $(LDFLAGS) > $(MAP)

clean:
	rm -f $(OBJS) $(OUT) $(SREC) $(MAP) $(LST)

## uisp 20050207

=== pavr/Makefile ===
--- 
+++ 
@@ -16,13 +16,17 @@
 
 OUT = pavr.elf
 SREC = pavr.srec
+IHEX = pavr.hex
 MAP = pavr.map
 LST = pavr.lst
 
-all: $(SREC) $(LST)
+all: $(IHEX) $(LST)
 
 $(SREC): $(OUT)
 	avr-objcopy --output-target=srec $(OUT) $(SREC)
+
+$(IHEX): $(OUT)
+	avr-objcopy --output-target=ihex $(OUT) $(IHEX)
 
 $(LST): $(OUT)
 	avr-objdump -S -h -D $(OUT) > $(LST)
@@ -43,5 +47,5 @@
 	$(LD) $(OBJS) -o $(OUT) $(LDFLAGS) > $(MAP)
 
 clean:
-	rm -f $(OBJS) $(OUT) $(SREC) $(MAP) $(LST)
+	rm -f $(OBJS) $(OUT) $(SREC) $(IHEX) $(MAP) $(LST)

=== debian/changelog ===
uisp (20050207-4.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Fix previous upload and remove duplicated doc
    files installed by upstream build system in wrong directory.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Sep 2021 13:49:14 -0400

uisp (20050207-4.4) unstable; urgency=high

  * Non-maintainer upload.
  * Replace obsolete Priority: extra with Priority: optional.
  * debian/rules: Rewrite with dh sequencer.
    + Also invoke autoreconf before configure.
  * debian/compat: Dropped, not needed.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13. (Closes: #965856)
  * debian/patches; Refresh patches.
  * debian/patches/0006-fix-configure.ac.patch: Make configure.ac
    compatible with autoconf 2.69+. (Closes: #978913)
  * debian/watch: Update to v4 format. (Closes: #529148)
  * debian/not-installed: Remove duplicated installation entry.
  * debian/dirs: Dropped, useless.
  * Apply patch from Ubuntu:

  [ Ilya Barygin ]
  * Build with -Wno-error as some warn_unused_result warnings are
    generated. Fixes FTBFS.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Sep 2021 10:59:52 -0400

uisp (20050207-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dpatch, switch to source format 3.0 (quilt)
  * Make the build reproducible, patch by Chris Lamb (Closes: #832290)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 09 Aug 2019 16:21:50 +0200

uisp (20050207-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": debian/rules: add -Wno-narrowing to CXXFLAGS, as
    suggested by Matthias Klose.
    (Closes: #667403)

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 May 2012 15:30:45 +0200

uisp (20050207-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with gcc-4.6 -Werror": add patch 40_fix_g++_4.6.dpatch from
    peter green (removes unused variables).
    Closes: #625409

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Dec 2011 14:33:08 +0100

uisp (20050207-4) unstable; urgency=low

  * Changed debian/rules to apply dpatches at configure-time.
  * Fixed the manpage patch accordingly.
  * Added 30_fix_g++_4.3.dpatch fixing the use of parenthesis with the
    shift operator. (Closes: #417677)
  * Cleaned up old 10_const_char.dpatch to new dpatch simpler format.
  * Switched to debhelper compat level 5.
  * Cleaned and updated debian/rules
  * Upgraded to Standards-Version 3.7.2 - No changes needed.
  * Moved Homepage from pseudo-field to real field in debian/control.

 -- Margarita Manterola <marga@debian.org>  Thu, 27 Sep 2007 22:27:27 -0300

uisp (20050207-3) unstable; urgency=low

  * Changed maintainer address.
  * Added 10_const_char.dpatch to make it compile with GCC 4.2 
    (Closes: #361712)
  * Added 20_fix_manpage.dpatch to fix the manpage. (Closes: 360021)

 -- Margarita Manterola <marga@debian.org>  Fri, 14 Apr 2006 14:26:41 -0300

uisp (20050207-2) unstable; urgency=low

  * Fixed debian/rules to comply with Policy section 10.1
  * Trigger a rebuild for the C++ transition.

 -- Margarita Manterola <debian@marga.com.ar>  Wed, 27 Jul 2005 11:21:45 -0300

uisp (20050207-1) unstable; urgency=low

  * New upstream release
  * The patches applied are now in upstream, removed from debian/patches,
    removed dpatch build-dependency.
  * Added upstream homepage to the description in debian/control

 -- Margarita Manterola <debian@marga.com.ar>  Tue,  8 Feb 2005 10:40:38 -0300

uisp (20040311-1) unstable; urgency=low

  * Apply patch to support Datamekatornik 2004 cable, submitted by Hakan Ardo 
    (closes: #240250).
  * Apply patch to support g++-3.4 (closes: #264444).
  * Add the new changelogs and several other documents to /usr/share/doc/uisp
    (closes: #202771).
  * Apply patch to support ATDH cable.
  * New upstream release (closes: #253721)
    - Fixes argument parsing for -datmel (closes: #226275).
  * New maintainer.

 -- Margarita Manterola <debian@marga.com.ar>  Wed, 11 Oct 2004 16:28:16 -0300

uisp (20030618-2) unstable; urgency=low

  * Forgot to update maintainer in control file, fixed.

 -- Jefferson E. Noxon <jeff@debian.org>  Mon, 28 Jul 2003 12:38:24 -0500

uisp (20030618-1) unstable; urgency=low

  * New upstream release
  * New maintainer

 -- Jefferson E. Noxon <jeff@debian.org>  Thu, 24 Jul 2003 11:08:05 -0500

uisp (20021201-1) unstable; urgency=low

  * New upstream release

 -- Shaun Jackman <sjackman@debian.org>  Mon, 10 Mar 2003 22:41:45 -0800

uisp (20020626-1) unstable; urgency=low

  * New upstream release (closes: #138733)
  * New upstream location (closes: #148266)

 -- Shaun Jackman <sjackman@debian.org>  Sat,  5 Oct 2002 10:37:54 -0700

uisp (20010701-1.1) unstable; urgency=low

  * NMU
  * Fix C++ errors.  Closes: #105113.

 -- LaMont Jones <lamont@ia.mmjgroup.com>  Tue, 31 Jul 2001 12:52:38 -0600

uisp (20010701-1) unstable; urgency=low

  * New upstream release (closes: Bug#103003)
  * New upstream maintainer address in copyright file
  * New download location noted

 -- Jefferson E. Noxon <jeff@debian.org>  Mon,  2 Jul 2001 16:37:02 -0500

uisp (20001118-1) unstable; urgency=low

  * New upstream release
  * Add Build-Depends

 -- Jefferson E. Noxon <jeff@debian.org>  Sat, 18 Nov 2000 14:53:23 -0600

uisp (0.1.6-4) frozen unstable; urgency=low

  * Removed PSPI functionality entirely.

 -- Jefferson E. Noxon <jeff@debian.org>  Mon, 10 Apr 2000 16:05:33 -0500

uisp (0.1.6-3.1) frozen unstable; urgency=low

  * NMU
  * Applied patch from bug report to make this compile on all archs in
    order to satisy dependencies on packages that are compiled on all
    archs, closes: #61145
  * changed control file's arch for the above change

 -- Ben Collins <bcollins@debian.org>  Thu,  6 Apr 2000 23:43:44 -0400

uisp (0.1.6-3) unstable; urgency=low

  * Updated to debian-policy 3.0.1.1
  * Changed maintainer address

 -- Jefferson E. Noxon <jeff@debian.org>  Tue, 14 Sep 1999 23:53:13 -0500



=== debian/control ===
Source: uisp
Section: electronics
Priority: optional
Maintainer: Margarita Manterola <marga@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
Homepage: http://www.nongnu.org/uisp/

Package: uisp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Micro In-System Programmer for Atmel's AVR MCUs
 This utility is required to program AVR chips with object code
 created by the ava assembler/linker, gas, or gcc.  It supports
 in-system programming, Atmel's prototype board/programmer (stk500),
 and many other extremely low-cost parallel port programmers.
 It can also be used to program Atmel's AT89S51 and AT89S52.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =
# package maintainers to append CXXFLAGS
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-narrowing -Wno-error

%:
	dh $@

# Remove duplicated docs in wrong dir
execute_after_dh_auto_install:
	rm -r $(CURDIR)/debian/uisp/usr/share/doc/uisp-*

=== debian/watch ===
version=4
opts="" \
 https://savannah.nongnu.org/download/uisp/ uisp-(?:.*)@ARCHIVE_EXT@ debian uupdate
